Closed Bug 955605 Opened 8 years ago Closed 8 years ago

Socket.resetPingTimer shows up in LIST profiles

Categories

(Chat Core :: IRC, defect)

x86
Other
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: florian)

Details

Attachments

(1 file)

*** Original post on bio 2164 at 2013-09-09 23:27:00 UTC ***

setTimeout/clearTimeout are expensive, I think we should use an executeSoon call to avoid resetting the timer for each line received over the IRC socket.
Attached patch PatchSplinter Review
*** Original post on bio 2164 as attmnt 2860 at 2013-09-10 21:21:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354630 - Flags: review?(clokep)
Assignee: nobody → florian
Comment on attachment 8354630 [details] [diff] [review]
Patch

*** Original change on bio 2164 attmnt 2860 at 2013-09-10 23:48:32 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354630 - Flags: review?(clokep) → review+
*** Original post on bio 2164 at 2013-09-10 23:49:02 UTC ***

Assigning.
Status: NEW → ASSIGNED
Whiteboard: [checkin-needed]
*** Original post on bio 2164 at 2013-09-12 23:07:11 UTC ***

http://hg.instantbird.org/instantbird/rev/dfc94961fb99
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.